Bug 852679 - Placemarker for JBPAPP-9516
Placemarker for JBPAPP-9516
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Proctor
Lukáš Petrovický
:
: 852807 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 05:44 EDT by Marco Rietveld
Modified: 2016-09-20 01:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9516 Major Closed All classes that implement AsyncListener are treated as components causing JBAS011006 2016-12-30 17:06 EST

  None (edit)
Description Marco Rietveld 2012-08-29 05:44:18 EDT
Description of problem:

An existing bug (JBAPP-9516) in EAP 6.0 causes an error message during guvnor deployment. 

Version-Release number of selected component (if applicable): 

5.3.0.GA

How reproducible:

Always. 

Steps to Reproduce:
0. Create the AS7 specific guvnor (distribution) war from the product branch/release. 
1. Deploy the AS7(/EAP 6) version of guvnor to EAP 6.0
2. Start EAP 6.0 
3. Look in log. 
  
Actual results:

The following message will be shown: 

11:09:52,821 WARN  [org.jboss.as.ee] (MSC service thread 1-6) JBAS011006: Not installing optional component org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation due to exception: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS011054: Could not find default constructor for class org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation
	at org.jboss.as.ee.component.ComponentDescription$DefaultComponentConfigurator.configure(ComponentDescription.java:606) [jboss-as-ee-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.deployers.EEModuleConfigurationProcessor.deploy(EEModuleConfigurationProcessor.java:83) [jboss-as-ee-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]
	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:116)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_33]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_33]
	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_33]

Expected results:

No error message. 

Additional info:

This is an existing bug in EAP 6.0. See https://issues.jboss.org/browse/JBPAPP-9516
Comment 1 Lukáš Petrovický 2012-08-30 02:42:45 EDT
*** Bug 852807 has been marked as a duplicate of this bug. ***
Comment 3 Amana 2013-08-28 14:09:58 EDT
I have a customer experiencing it for BRMS5.3.1+EAP6.0.

Note You need to log in before you can comment on or make changes to this bug.